package leiturajsonfipe.dao;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.SQLException;

import leiturajsonfipe.model.VeiculoModel;
import leiturajsonfipe.util.Conexao;

/**
 * 
 * @author Daniel Paulo de Assis
 *
 */
public class VeiculoDao {

	/**
	 * Insere os dados de veculo na tabela veiculos
	 * @param veiModel
	 */
	public static void inserirDadosVeiculoDao(VeiculoModel veiModel) {

		Connection con = null;
		PreparedStatement pstmt = null;

		System.out.println("inserirVeculos");
		con = Conexao.getInstance().getConnection();
		System.out.println("conectado e preparando para inserir");
		try {
			con.setAutoCommit(false);
			for (int i = 0; i < veiModel.getModelo().size(); i++) {

				pstmt = con.prepareStatement("INSERT INTO veiculos (mes_referencia, preco, tipo, marca, modelo, data, cod_fipe, ano)"
								+ " values ((?),(?),(?),(?),(?),(?),(?),(?))");

				pstmt.setString(1, veiModel.getMesRerencia().get(i));
				pstmt.setString(2, veiModel.getPreco().get(i));
				pstmt.setString(3, veiModel.getTipo().get(i));
				pstmt.setString(4, veiModel.getMarca().get(i));
				pstmt.setString(5, veiModel.getModelo().get(i));
				pstmt.setString(6, veiModel.getData().get(i));
				pstmt.setString(7, veiModel.getCodigoFipe().get(i));
				pstmt.setString(8, veiModel.getAno().get(i));

				pstmt.execute();
				System.out.println("Inseriu veculo N: "+ i +" Tipo: "+veiModel.getTipo().get(i)+" Modelo: " + veiModel.getModelo().get(i)+" Marca: "+veiModel.getMarca().get(i)+" Ano: "+veiModel.getAno().get(i));
			}

			pstmt.close();
			con.commit();
			System.out.println("Insero Concluda!!!");
		} catch (SQLException e) {
			System.out.println(e.getMessage());
		}

	}

}
